Subject: bug#74966: 31.0.50; Crash report (using igc on macOS)

From: Pip Cet <[email-masked]>
Date: Tue, 31 Dec 2024 14:32:30 +0000

"Eli Zaretskii" <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: Pip Cet <[email-masked]>,  [email-masked],
>>   [email-masked],  [email-masked],  [email-masked]
>> Date: Tue, 31 Dec 2024 05:22:11 -0500
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >> > I think a much simpler change is to use the sign bit to distinguish indices
>> >> > into the constant vector from indices into the DOC file.
>> >>
>> >> And use one's-complement, I assume, to guard against some future weird
>> >> nativecomp change resulting in the index -0?  :-)
>> >>
>> >> I really have no strong preference here.
>> >
>> > And I still want to hear from Andrea.  It's his code, so the solution
>> > he prefers gets my vote.
>>
>> Sorry for behing late here.
>>
>> I'm for the sign bit, it saves memory (why not), and we can sanity check
>> that when the bit is set the function is a non-primitve one and vice
>> versa.

It is valid for a primitive function to have an etc/DOC docstring, so no
"vice versa", I'm afraid.  That's what caused the problem in the first
place.

> OK, can you post a patch (or even install it)?

That'd be great (with the minor change described)!

Pip